Page MenuHomePhabricator

Annual Review, Self Review and all Coworker Feedback due
Closed, ResolvedPublic

Description

Checklist
  • Aaron
  • Dario
  • Ellery
  • Erik
  • Leila

Trello card: k3qlr0hZ

  • column: Time sensitive
  • due: 2015-05-19T06:59:00.000Z

Event Timeline

Trellimport added a project: Research.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2015, 11:43 PM
ggellerman moved this task from Staged to Time Sensitive on the Research board.May 15 2015, 12:05 AM
DarTar closed this task as Resolved.May 21 2015, 9:57 PM

Closing this assuming you've all submitted your reviews. If not, please follow up with Anna Lantz.

leila updated the task description. (Show Details)May 21 2015, 10:25 PM
leila set Security to None.
ellery updated the task description. (Show Details)May 22 2015, 1:22 PM